CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2000-1220

The line printer daemon (lpd) in the lpr package in multiple Linux operating systems allows local users to gain root privileges by causing sendmail to execute with arbitrary command line arguments, as demonstrated using the -C option to specify a configuration file.
Publish Date : 2000-01-08 Last Update Date : 2017-07-11
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeGain privileges
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat important 2000-01-08
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Products Affected By CVE-2000-1220

# Product Type Vendor Product Version Update Edition Language
1 OS Redhat Linux 4.0 * * * Version Details Vulnerabilities
2 OS Redhat Linux 4.1 * * * Version Details Vulnerabilities
3 OS Redhat Linux 4.2 * * * Version Details Vulnerabilities
4 OS Redhat Linux 5.0 * * * Version Details Vulnerabilities
5 OS Redhat Linux 5.1 * * * Version Details Vulnerabilities
6 OS Redhat Linux 5.2 * I386 * Version Details Vulnerabilities
7 OS Redhat Linux 6.0 * * * Version Details Vulnerabilities
8 OS Redhat Linux 6.1 * I386 * Version Details Vulnerabilities
9 OS SGI Irix 6.5 * * * Version Details Vulnerabilities
10 OS SGI Irix 6.5.1 * * * Version Details Vulnerabilities
11 OS SGI Irix 6.5.2 * * * Version Details Vulnerabilities
12 OS SGI Irix 6.5.3 * * * Version Details Vulnerabilities
13 OS SGI Irix 6.5.4 * * * Version Details Vulnerabilities
14 OS SGI Irix 6.5.5 * * * Version Details Vulnerabilities
15 OS SGI Irix 6.5.6 * * * Version Details Vulnerabilities
16 OS SGI Irix 6.5.7 * * * Version Details Vulnerabilities
17 OS SGI Irix 6.5.8 * * * Version Details Vulnerabilities
18 OS SGI Irix 6.5.9 * * * Version Details Vulnerabilities
19 OS SGI Irix 6.5.10 * * * Version Details Vulnerabilities
20 OS SGI Irix 6.5.11 * * * Version Details Vulnerabilities
21 OS SGI Irix 6.5.12 * * * Version Details Vulnerabilities
22 OS SGI Irix 6.5.13 * * * Version Details Vulnerabilities
23 OS SGI Irix 6.5.14f * * * Version Details Vulnerabilities
24 OS SGI Irix 6.5.14m * * * Version Details Vulnerabilities
25 OS SGI Irix 6.5.15f * * * Version Details Vulnerabilities
26 OS SGI Irix 6.5.15m * * * Version Details Vulnerabilities
27 OS SGI Irix 6.5.16f * * * Version Details Vulnerabilities
28 OS SGI Irix 6.5.16m * * * Version Details Vulnerabilities
29 OS SGI Irix 6.5.17f * * * Version Details Vulnerabilities
30 OS SGI Irix 6.5.17m * * * Version Details Vulnerabilities
31 OS SGI Irix 6.5.18f * * * Version Details Vulnerabilities
32 OS SGI Irix 6.5.18m * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Redhat Linux 8
SGI Irix 24

- References For CVE-2000-1220

ftp://patches.sgi.com/support/free/security/advisories/20021104-01-P
SGI 20021104-01-P
http://www.kb.cert.org/vuls/id/39001
CERT-VN VU#39001
http://www.securityfocus.com/bid/927
BID 927 Multiple Vendor lpd Vulnerabilities Release Date:2000-01-11
http://www.atstake.com/research/advisories/2000/lpd_advisory.txt
L0PHT 20000108 Quadruple Inverted Backflip
http://www.l0pht.com/advisories/lpd_advisory
L0PHT 20000108 Quadruple Inverted Backflip
http://www.debian.org/security/2000/20000109
DEBIAN 20000109 lpr -- access control problem and root exploit
https://exchange.xforce.ibmcloud.com/vulnerabilities/3841
XF redhat-lpd-print-control(3841)
http://seclists.org/lists/bugtraq/2000/Jan/0116.html
BUGTRAQ 20000108 L0pht Advisory: LPD, RH 4.x,5.x,6.x
http://www.redhat.com/support/errata/RHSA-2000-002.html
REDHAT RHSA-2000:002

- Metasploit Modules Related To CVE-2000-1220

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.